import QtQuick 2.4

Item {
    id: root
    property string source: ""
    readonly property alias playbackState: priv.playbackState

    function play() {
        priv.audio.play();
    }
    function stop() {
        priv.audio.stop();
    }

    QtObject {
        id: priv
        property var audio: null
        property var playbackState: null
    }

    Binding {
        target: priv
        property: "playbackState"
        value: priv.audio ? priv.audio.playbackState : 0
    }

    Component.onCompleted: {
        try {
            priv.audio = Qt.createQmlObject("import QtMultimedia 5.5; Audio { source: root.source; audioRole: MediaPlayer.AlarmRole }", priv)
        } catch(err) {
            console.log("QtMultimedia 5.5 not installed. Falling back to 5.4.");
            priv.audio = Qt.createQmlObject("import QtMultimedia 5.4; Audio { source: root.source; audioRole: MediaPlayer.alarm }", priv)
        }
    }
}
